Signaler

Hadoop

Posez votre question fatmanajjar - Dernière réponse le 20 juin 2017 à 13:17 par KX
Bonjour
Ou je peux trouver le plugin hadoop-eclipse pour les versions suivantes:

hadoop3.0.0-alpha3
eclipse 3.8

j'ai trouvé pour d'autres versions mais pas pour ces versions.
Merci d'avance pour vos retours.
Afficher la suite 
Utile
+0
plus moins
Bonjour,

Il faudrait être cohérent dans tes numéros de version...

Hadoop 3 n'est pas encore sorti, la version alpha3 a moins d'un mois et tu voudrais un plugin pour Eclipse 3.8 (la bêta de Juno) qui est sorti en juin 2011, à une époque où Hadoop n'existait quasiment pas (la version 1.0 d'Hadoop est sortie en novembre 2012).

Donc non, il n'y a pas de plugin pour un Eclipse d'il y a 6 ans qui fonctionne avec une version d'Hadoop qui n'est même pas encore sortie aujourd'hui.

Plus largement je ne vois pas l'intérêt de travailler encore sur Juno...
Donnez votre avis
Utile
+0
plus moins
Bonjour
Merci pour votre retour
j'ai bien mentionné la version de hadoop, j'ai mis : hadoop -3.0.0-alpha3
je n'ai pas mis hadoop3.
Si j'ai bien comprit je doit choisir une autre version d’Eclipse.
Je peux par exemple choisir la dernière version d’Eclipse ? ou bien ya t'il des critères spécifiques a prendre en considération ?
Merci
KX 14438Messages postés samedi 31 mai 2008Date d'inscription ModérateurStatut 25 juin 2017 Dernière intervention - 20 juin 2017 à 12:11
Sauf contraintes particulières, il faut toujours - autant que possible - choisir la dernière version stable de tous les programmes dont on peut avoir besoin.

Cependant Hadoop 3 étant toujours en alpha il n'y aura pas de plugin pour cette version, au mieux tu trouveras des plugins Hadoop 2.
Répondre
fatmanajjar- 20 juin 2017 à 12:25
En cherchant sur internet, j'ai constaté que c'est possible de générer un plugin, s'il n'est pas disponible.
je vais commencer par changer la version d'Eclipse, puis essayer de generer le fichier jar avec la commande suivante que j'ai trouvé :

ant jar -Dversion=3.0.0-alpha3 -Dhadoop.version=3.0.0-alpha3 -Declipse.home=/usr/share/eclipse -Dhadoop.home=/usr/local/hadoop/hadoop-3.0.0-alpha3
Répondre
KX 14438Messages postés samedi 31 mai 2008Date d'inscription ModérateurStatut 25 juin 2017 Dernière intervention - 20 juin 2017 à 12:47
Ça ne marchera pas mais si ça t'amuses...

Et pourquoi vouloir absolument la version 3 de Hadoop ? Qu'est-ce que tu as besoin qu'il n'y aurait pas dans la version 2 ? (et que du coup un plugin prévu pour la version 2 ne saura pas gérer magiquement juste en changeant le numéro de la version 3 d'où l'inutilité de le regénérer)

Au passage, qu'est-ce que tu veux faire avec ton plugin Eclipse ? Est-il seulement nécessaire ?
Répondre
fatmanajjar- 20 juin 2017 à 13:02
J'ai voulu utilisé la dernière version d'hadoop, mais comme elle n'est pas stable (alpha), je vais changer de version.

Comme je suis nouvelle avec Hadoop, j'ai voulu, après son installation, passer a mon premier programme MapReduce WordCount, pour pouvoir comprendre comment ça fonctionne.
C'est pour cela que je veux installer eclipse et le plugin.
Répondre
KX 14438Messages postés samedi 31 mai 2008Date d'inscription ModérateurStatut 25 juin 2017 Dernière intervention - 20 juin 2017 à 13:17
"C'est pour cela que je veux installer eclipse et le plugin."
Ce plugin est facultatif (comme 99% des plugins Eclipse), d'ailleurs il n'est même pas développé par Hadoop...

Pour dérouler le MapReduce Tutorial d'Hadoop tu n'as pas besoin d'un tel plugin, donc tu pourrais tout aussi bien garder une installation d'Eclipse par défaut (sans plugin superflu) et faire ton tutoriel comme Hadoop le préconise.
Répondre
Donnez votre avis

Les membres obtiennent plus de réponses que les utilisateurs anonymes.

Le fait d'être membre vous permet d'avoir un suivi détaillé de vos demandes.

Le fait d'être membre vous permet d'avoir des options supplémentaires.

Vous n'êtes pas encore membre ?

inscrivez-vous, c'est gratuit et ça prend moins d'une minute !